import { IObservableValue } from 'mobx';
import * as React from 'react';
export declare enum GoodsType {
    board = 1,
    comp = 2,
    metals = 3
}
export interface IGoodInfo {
    goods_id: string;
    goods_sn: string;
    name: string;
    color: string;
    material: string;
}
interface IGoodsListProps {
    select: (good: IGoodInfo) => void;
    open: IObservableValue<boolean>;
    goods_type?: GoodsType;
}
export declare class GoodsList extends React.Component<IGoodsListProps> {
    private timeId;
    searchStr: string;
    goods: any[];
    info: {
        count: number;
        currentPage: number;
        pageCount: number;
    };
    private isDesc;
    UNSAFE_componentWillMount(): void;
    render(): JSX.Element;
    handleChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    handleSearch: (page?: number) => Promise<void>;
    private handleKeyDown;
    private handleHideSelect;
    private handleOrderGoods;
}
export {};
//# sourceMappingURL=GoodsList.d.ts.map