import { CADFiler } from "../../DatabaseServices/CADFiler";
import { IConfigStore } from "../../UI/Store/BoardStore";
export interface SpaceParseOption {
    autoParseDepth: boolean;
}
export declare class SpaceParseStore implements IConfigStore {
    configName: string;
    m_Option: SpaceParseOption;
    configsNames: string[];
    InitOption(): void;
    SaveConfig(): any;
    UpdateOption(confData: any): void;
    private static _SingleInstance;
    static GetInstance(): SpaceParseStore;
    ReadFile: (file: CADFiler) => void;
    WriteFile(file?: CADFiler): any[];
}
export declare const spaceParseStore: SpaceParseStore;
//# sourceMappingURL=SpaceParseStore.d.ts.map